#
# spec file for package python-applicationinsights
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-applicationinsights
Version:        0.11.6
Release:        lp151.1.1
Summary:        Microsoft Application Insights for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/applicationinsights/applicationinsights-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This project extends the Application Insights API surface to support Python.

Application Insights is a service that allows developers to keep their
application available, performing and succeeding. This Python module will
allow you to send telemetry of various kinds (event, trace, exception, etc.)
to the Application Insights service where they can be visualized in the
Azure Portal.

%prep
%setup -q -n applicationinsights-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.md README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Mon Sep  3 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.11.6
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Install CHANGELOG.md into doc directory
- Rename README.md to README.rst in spec file
* Tue Apr 24 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.11.2
  + Upstream changelog not available
- Move LICENSE.txt from %%doc to %%license section
* Fri Sep 15 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 0.11.1
